package com.example.blum.checkboxdemo;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //make code versions of layout widgets
        Button btnEnter = (Button) findViewById(R.id.btnEnter);
        final TextView tvHobbies = (TextView) findViewById(R.id.txtHobby);

        //loop through checkboxes and attach check change event handler
        for (int i = 1; i <= 3; i++) {
            String myID = "chkHobby" + i;
            int resID = getResources().getIdentifier(myID, "id", getPackageName());
            CheckBox myCheckBox = (CheckBox) findViewById(resID);
            myCheckBox.setOnCheckedChangeListener(myCheckBoxListener);
        }

        //button click event
        btnEnter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //loop through checkboxes based on their layout assigned id (which is not their "real" id)
                // if checked add to hobby list string
                String hobbies = "";
                for (int i = 1; i <= 3; i++) {
                    String myID = "chkHobby" + i;
                    int resID = getResources().getIdentifier(myID, "id", getPackageName());
                    CheckBox myCheckBox = (CheckBox) findViewById(resID);

                    if (myCheckBox.isChecked()) {
                        hobbies += myCheckBox.getText().toString()+ " ";
                    }
                }//end loop over checkboxes
                if (hobbies.equals("")) {
                    tvHobbies.setText("Get a hobby");
                } else {
                    tvHobbies.setText("Your hobbies are: " + hobbies);
                }
            }//end onClick
        });//end btnEnter.setOnClickListener

    }//end onCreate

    //checkbox checked change listener -- though we have to use CompoundButton
    CompoundButton.OnCheckedChangeListener myCheckBoxListener = new CompoundButton.OnCheckedChangeListener()
    {
    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
        //this textview is known to onCreate but we are outside of onCreate
        TextView tvHobbies = (TextView) findViewById(R.id.txtHobby);
        tvHobbies.setText("------");
    }
};

}//end MainActivity
